Skip to main content
POST
/
api
/
v1
/
contacts
/
{id}
/
addresses
Add a postal address to a contact.
curl --request POST \
  --url https://api.backside.app/api/v1/contacts/{id}/addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "city": "<string>",
  "country": "<string>",
  "country_code": "<string>",
  "extended": "<string>",
  "is_primary": true,
  "label": "<string>",
  "latitude": 123,
  "longitude": 123,
  "po_box": "<string>",
  "postal_code": "<string>",
  "region": "<string>",
  "street": "<string>"
}
'
{
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_primary": true,
  "metadata": "<unknown>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "city": "<string>",
  "country": "<string>",
  "country_code": "<string>",
  "extended": "<string>",
  "key_version": 123,
  "label": "<string>",
  "latitude": 123,
  "longitude": 123,
  "po_box": "<string>",
  "postal_code": "<string>",
  "region": "<string>",
  "street": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Contact ID

Body

application/json
city
string | null
country
string | null
country_code
string | null
extended
string | null
is_primary
boolean | null
label
string | null
latitude
number<double> | null
longitude
number<double> | null
po_box
string | null
postal_code
string | null
region
string | null
street
string | null

Response

Address added

contact_id
string<uuid>
required
created_at
string<date-time>
required
id
string<uuid>
required
is_primary
boolean
required
metadata
any
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
city
string | null
country
string | null
country_code
string | null
extended
string | null
key_version
integer<int32> | null
label
string | null
latitude
number<double> | null
longitude
number<double> | null
po_box
string | null
postal_code
string | null
region
string | null
street
string | null